#!/bin/sh # $FreeBSD$ # if [ "$2" != "PRE-INSTALL" ]; then exit 0 fi if ! pw groupshow operator >/dev/null; then if pw groupadd operator 5; then echo "Added group operator for vsftpd" else echo "Failed to add group operator as gid 5" >&2 exit 1 fi fi if ! pw usershow ftp >/dev/null; then if pw useradd ftp -g operator -u 14 -h - -d /var/ftp -s /nonexistent -c "Anonymous Ftp"; then echo "Added user ftp for vsftpd" else echo "Failed to add user ftp as gid 14" >&2 exit 1 fi fi # uid=14(ftp) gid=5(operator) groups=5(operator) view="$(id ftp)" view="${view%% *}" if test "${view}" = "uid=14(ftp)"; then exit 0 fi echo "User ftp should have uid 14"; >&2 exit 1 # eof ' title='freebsd-ports-gnome Git repository'/>
aboutsummaryrefslogtreecommitdiffstats
path: root/databases/p5-DBD-ODBC
Commit message (Expand)AuthorAgeFilesLines
* Update to 1.13mat2004-11-112-3/+3
* Update to 1.12mat2004-10-272-3/+3
* Update to 1.11mat2004-10-122-4/+12
* Update to 1.10mat2004-10-122-4/+4
* Add unixODBC support for 5.x+mat2004-08-231-4/+28
* Update to 1.09mat2004-03-112-3/+3
* Update to 1.07mat2004-02-243-5/+4
* Bump PORTREVISION on all ports that depend on gettext to aid with upgrading.marcus2004-02-041-0/+1
* Add SIZE fieldmat2004-01-291-0/+1
* USE_REINPLACE must be defined before REINPLACE_CMD may be used.trevor2003-11-171-0/+1
* Conditionalise dependencies on databases/p5-DBI: for perlerwin2003-09-161-3/+11
* Update my ports to use my @FreeBSD.org addressmat2003-08-161-1/+1
* update databases/p5-DBD-ODBC: 1.05 --> 1.06daichi2003-06-263-4/+7
* Upgrade to 1.05, and assign MAINTAINER to submitter.vanilla2003-05-134-13/+17
* De-pkg-comment.knu2003-02-212-1/+1
* o Rollback PORTCOMMENT modifications while this feature's implementationlioux2002-11-112-2/+1
* Use PORTCOMMENT in the Makefile, and whack the pkg-comment.adamw2002-11-072-1/+2